module class_user_interfaces
  !---------------------------------------------------------------------
  ! Public interfaces for Class subroutines and functions
  !---------------------------------------------------------------------
  !
  interface class_user_classtodata
    ! Generic interface to 'classto*' subroutines
    !
    ! Scalars
    subroutine classtoi4_0d(i4)
    integer(kind=4), intent(out) :: i4
    end subroutine classtoi4_0d
    !
    subroutine classtor4_0d(r4)
    real(kind=4), intent(out) :: r4
    end subroutine classtor4_0d
    !
    subroutine classtor8_0d(r8)
    real(kind=8), intent(out) :: r8
    end subroutine classtor8_0d
    !
    subroutine classtocc_0d(cc)
    character(len=*), intent(out) :: cc
    end subroutine classtocc_0d
    !
    ! 1D arrays
    subroutine classtoi4_1d(i4)
    integer(kind=4), intent(out) :: i4(:)
    end subroutine classtoi4_1d
    !
    subroutine classtor4_1d(r4)
    real(kind=4), intent(out) :: r4(:)
    end subroutine classtor4_1d
    !
    subroutine classtor8_1d(r8)
    real(kind=8), intent(out) :: r8(:)
    end subroutine classtor8_1d
    !
    subroutine classtocc_1d(cc)
    character(len=*), intent(out) :: cc(:)
    end subroutine classtocc_1d
    !
  end interface class_user_classtodata
  !
  interface class_user_datatoclass
    ! Generic interface to '*toclass' subroutines
    !
    ! Scalars
    subroutine i4toclass_0d(i4)
    integer(kind=4), intent(in) :: i4
    end subroutine i4toclass_0d
    !
    subroutine r4toclass_0d(r4)
    real(kind=4), intent(in) :: r4
    end subroutine r4toclass_0d
    !
    subroutine r8toclass_0d(r8)
    real(kind=8), intent(in) :: r8
    end subroutine r8toclass_0d
    !
    subroutine cctoclass_0d(cc)
    character(len=*), intent(in) :: cc
    end subroutine cctoclass_0d
    !
    ! Arrays
    subroutine i4toclass_1d(i4)
    integer(kind=4), intent(in) :: i4(:)
    end subroutine i4toclass_1d
    !
    subroutine r4toclass_1d(r4)
    real(kind=4), intent(in) :: r4(:)
    end subroutine r4toclass_1d
    !
    subroutine r8toclass_1d(r8)
    real(kind=8), intent(in) :: r8(:)
    end subroutine r8toclass_1d
    !
    subroutine cctoclass_1d(cc)
    character(len=*), intent(in) :: cc(:)
    end subroutine cctoclass_1d
    !
  end interface class_user_datatoclass
  !
end module class_user_interfaces
