! This is -*-fortran-*- code.
      INTEGER SPACE1,SPACE2
!
! Data Structures : Header r_
      INTEGER R_XNUM                     ! number in index (0:no obs, -1:not fro
      LOGICAL R_PRESEC(-MNSEC:0)         ! Present Sections
!
! Section -2 General Information
!
! NUM,VER,TELES,DOBS,DRED,TYPEC,KIND,SCAN written in index,
! are not repeated in General Section on disk.
      CHARACTER*12 R_TELES               ! Telescope name
      INTEGER R_NUM                      ! Scan number
      INTEGER R_VER                      ! Version number
      INTEGER R_DOBS                     ! Date of observation
      INTEGER R_DRED                     ! Date of last reduction
      INTEGER R_TYPEC                    ! Type of coordinates
      INTEGER R_KIND                     ! Type of data (0=line,1=Continuum)
      INTEGER R_QUAL                     ! Quality flag
      INTEGER R_SCAN                     ! Original scan number
      REAL*8  R_UT                       ! Universal time
      REAL*8  R_ST                       ! Sidereal time
      REAL*4  R_AZ                       ! Azimuth
      REAL*4  R_EL                       ! Elevation
      REAL*4  R_TAU                      ! Sky opacity
      REAL*4  R_TSYS                     ! System temperature
      REAL*4  R_TIME                     ! Integration time
      INTEGER R_TYPOF                    ! type of offsets
      INTEGER R_PROC                     ! observing procedure
      CHARACTER*4 R_PROJECT              ! observing project
!-- not in data ---
      CHARACTER*12 R_CDOBS               ! date observation
      CHARACTER*12 R_CDRED               ! date reduction
      CHARACTER*12 R_CPROC               ! procedure
      CHARACTER*12 R_CTOBS               ! UT
      CHARACTER*12 R_CQUAL               ! Quality
!
!C Section -3 Positions		! Real CLASS format, (KIND = 4)
      CHARACTER*12 R_SOURC               ! Source name
      REAL*4  R_EPOCH                    ! Epoch of observation
      REAL*8  R_LAM                      ! Lambda of center position
      REAL*8  R_BET                      ! Delta  ----
      REAL*4  R_LAMOF                    ! Offset in Lambda
      REAL*4  R_BETOF                    ! Offset in Delta
      INTEGER R_PROJ                     ! Projection type
      REAL*4  R_FOCUS                    ! focus in mm
      REAL*4  R_FLUX                     ! in Janskys, for calibrators
!
! Section -21 Interferometer General Information
      INTEGER R_NANT                     ! Number of Antennas (used, e.g. virtua
      INTEGER R_NBAS                     ! Number of baselines ('')
      INTEGER R_ITYPE                    ! Type of interf. obs.
      REAL*4  R_HOURA                    ! Start hour angle
      INTEGER R_KANT(MNANT)              ! Antenna Physical numbers
      INTEGER R_KENT(MNANT)              ! Corelator Entry numbers
      INTEGER R_ISTAT(MNANT)             ! Station numbers
      INTEGER R_IANT(MNBAS)              ! Start virtual antenna for baseline
      INTEGER R_JANT(MNBAS)              ! End virtual antenna for baseline
      REAL*8  R_BAS(3,MNBAS)             ! components of baseline (meters)
      REAL*8  R_ANT(3,MNANT)             ! coordinates of antenna (meters)
      INTEGER R_NTRI                     ! Number of triangles
      INTEGER R_ATRI(3,MNTRI)            ! triang.def. A1 A2 A3 (in r_ntri.ne.0)
      REAL*4  R_AXES(MNANT)              ! offset between azim. and elev. axes (
      REAL*4 R_PHLO1(MNANT)              ! LO1 phase offset
      REAL*4 R_PHLO3(MNANT)              ! LO3 phase offset
      INTEGER R_ATTN(MNANT)              ! programmable attenuators (0-20 dB)
      INTEGER R_NBAND_WIDEX              ! Number of WIDEX units
!-- not in data ---
      CHARACTER*20 R_CONFIG              ! extended configuration
!
! Section -22	RF Frequency Setup
      CHARACTER*12 R_LINE                ! Line name (12 chars)
      INTEGER R_ISB                      ! Side band (+1 upper, -1 Lower)
      INTEGER R_LOCK                     ! lock sign (+1 High, -1 Low)
      REAL*8  R_RESTF                    ! Rest Frequency (MHz)
      REAL*8  R_FLO1                     ! LO1 frequency (MHz)
      REAL*8  R_FLO1_REF                 ! LO1 referencefrequency (MHz)
                                         ! = L02 with "old" receivers
      REAL*8  R_FIF1                     ! IF1 frequency (MHz)
      REAL*4 R_VELOC                     ! Source velocity (km/s)
      INTEGER*4 R_TYPEV                  ! type of velocity (LSR / SUN)
      REAL*4 R_DOPPL                     ! doppler veloc. correction (frac. c)
      INTEGER*4 R_NPOL_REC               ! Number of polarisation in receiver
      INTEGER*4 R_QUARTER(2)             ! Selected quarters (IF1, IF2)
      INTEGER*4 R_QWPLATE(MNANT)         ! Quarter-wave plate ON of OFF
      INTEGER*4 ALIGF                    ! Alignement des REAL*8
!
! Section -23 Continuum setup
      INTEGER R_NSB                      ! Nb. of continuum sidebands (1-2)
      INTEGER R_NBAND                    ! Nb. of continuum sub-bands (ex: 10)
      INTEGER R_NCDAT                    ! Nb. of cmplx values per baseline (ex:
      REAL*4  R_CRCH(2)                  ! Reference channel in each sideband
      REAL*4  R_CVOFF(2)                 ! Vel. in each sideband
      REAL*4  R_CVRES(2)                 ! Vel. resolution in each sideband
      REAL*8  R_CRFOFF(2)                ! Rest Freq in each sideband
      REAL*4  R_CRFRES(2)                ! Freq. resolution in RF(MHz), signed
      CHARACTER*12 R_CNAM(2)             ! line name
      REAL*8  R_CFCEN(MCCH)              ! Center freq (MHz), for each sub-band
      REAL*4  R_CFWID(MCCH)              ! Freq. width (MHz)
      INTEGER R_SBAND(2)                 ! present side bands (1:USB, 2:LSB, 3:D
!
! Section -24 Line setup
      INTEGER R_LBAND                    ! Number of sub-bands (per baseline)
      INTEGER R_LNTCH                    ! total number of channels (<mlch)
      LOGICAL R_LFOUR                    ! Fourier Transform done
      INTEGER R_LNCH(MRLBAND)            ! Number of channels in sub-band
      INTEGER R_LICH(MRLBAND)            ! Channel offset in corr. (Ch 0)
      REAL*8  R_LFCEN(MRLBAND)           ! center freq (MHz)
      REAL*4  R_LFRES(MRLBAND)           ! Freq. resolution in IF1(MHz), signed
      REAL*4  R_LRCH(2,MRLBAND)          ! Reference channel (in subband) (U,L)
      REAL*4  R_LVOFF(2,MRLBAND)         ! Vel. in RF (MHz)
      REAL*4  R_LVRES(2,MRLBAND)         ! Vel. resolution in RF(MHz)
      REAL*8  R_LRFOFF(2,MRLBAND)        ! Freq. offset in RF (MHz)
      REAL*4  R_LRFRES(2,MRLBAND)        ! Freq. resolution in RF(MHz), signed
      CHARACTER*12 R_LNAM(2,MRLBAND)     ! line name
      INTEGER R_LILEVU(MRLBAND,MNANT)    ! sampling levels (U part)
      INTEGER R_LNSB                     ! number of line sidebands
      INTEGER R_LSBAND(2)                ! line sidebands
      REAL*4  R_LCENCH(MRLBAND)          ! Channel number of R_LFCEN (NEW, 1/DEF
      REAL*4  R_LDELOFF(MNANT,MRLBAND)   ! delay offsets       (NEW, 0/def)
      INTEGER R_LMODE                    ! old sp.corr = 0, new = 1  (NEW, 0/def
      INTEGER R_LILEVL(MRLBAND,MNANT)    ! sampling levels (L part)
      INTEGER R_IUNIT(MRLBAND)           ! Physical unit number
      INTEGER R_BAND4(MRLBAND)           ! 4th conv. band (0,1,2) = (USB,LSB,DSB)
      INTEGER R_PHSELECT(MNANT,MRLBAND)  ! origin of phase correction (1=1mm,2-22GHz)
      REAL*8  R_FLO2(MRLBAND)            ! LO2 frequency
      REAL*8  R_FLO2BIS(MRLBAND)         ! LO2bis frequency
      INTEGER R_BAND2BIS(MRLBAND)        ! 2nd bis conv. band (0,1) = (USB,LSB)
      REAL*8  R_FLO3(MRLBAND)            ! LO3 frequency
      REAL*8  R_FLO4(MRLBAND)            ! LO4 frequency
      INTEGER R_LPOLMODE(MRLBAND)        ! polar. mode (1/2)
      INTEGER R_LPOLENTRY(MNANT,MRLBAND) ! polarization entry for each antenna
      REAL*4  R_IFATTN(2,MNANT,MRLBAND)  ! IF attenuation (linear scale)
!
! Section -25 Scanning Fonction
      INTEGER R_SCATY                    ! Scan type (1=focus, 2=lambda, 3=beta)
      LOGICAL R_MOBIL(MNANT)             ! .true. in antenna is scanning.
      REAL R_COLLAZ(MNANT)               ! Azimuth collimation
      REAL R_COLLEL(MNANT)               ! elevation collimation
      REAL R_CORFOC(MNANT)               ! focus correction(mm) *NEW*
      integer r_nswitch                  ! number of switching states
      real r_wswitch(mswitch)            ! switching weights
      real r_pswitch(2,mswitch)          ! switching offsets
      integer r_pmodel                   ! pointing model type (1-Bure,2-Alma)
      integer r_npmodel                  ! number of coefficients
      real r_cpmodel(mpmodel,mnant)      ! coefficients

!
! Section -26 Atmospheric Parameters
      INTEGER R_MODE                     ! Cal mode (man, aut, water, trec, ...)
      INTEGER R_NREC                     ! number of stored receivers
      REAL*4  R_PAMB                     ! Ambient pressure
      REAL*4  R_TAMB                     ! Ambient temperature
      REAL*4  R_ALTI                     ! Site altitude (km)
      REAL*4  R_HUMID                    ! % humidity
      REAL*4  R_H2OMM(MATMCAL,MNANT)   ! mm of precipitable water
      REAL*4  R_TATMS(MATMCAL,MNANT)   ! Atmospheric temperature
      REAL*4  R_TATMI(MATMCAL,MNANT)   ! same for image side band
      REAL*4  R_TAUS(MATMCAL,MNANT)    ! Opacity at Zeinth
      REAL*4  R_TAUI(MATMCAL,MNANT)    ! same for image side band
      REAL*4  R_BEEF(MATMCAL,MNANT)    ! beam efficiency
      REAL*4  R_FEFF(MATMCAL,MNANT)    ! forward efficiency
      REAL*4  R_TCHOP(MATMCAL,MNANT)   ! Temperature of Chopper
      REAL*4  R_TCOLD(MATMCAL,MNANT)   ! Temperature of Cold Load
      REAL*4  R_TREC(MATMCAL,MNANT)    ! Receiver DSB temperature
      REAL*4  R_GIM(MATMCAL,MNANT)     ! relative gain (image/signal)
      REAL*4  R_CSKY(MATMCAL,MNANT)    ! Counts on Sky
      REAL*4  R_CCHOP(MATMCAL,MNANT)   ! Counts on Chopper
      REAL*4  R_CCOLD(MATMCAL,MNANT)   ! Counts on Cold Load
      REAL*4  R_TSYSS(MATMCAL,MNANT)   ! temp sys (sig side band)
      REAL*4  R_TSYSI(MATMCAL,MNANT)   ! temp sys (image side band)
      REAL*4  R_CEFF(MATMCAL,MNANT)    ! chopper efficiency
      INTEGER  R_CMODE(MATMCAL,MNANT)  ! cal mode
      REAL*4  R_JYKEL(MATMCAL,MNANT)   ! Jy to Kelvin factor
      REAL*4  R_AVWIND                   ! Aver. Wind (km/s)
      REAL*4  R_AVWINDIR                 ! Aver. Wind Direction (deg.)
      REAL*4  R_TOPWIND                  ! Top Wind (km/s)
      REAL*4  R_TOPWINDIR                ! Top Wind Direction (deg.)
      REAL*4  R_TCABIN(MNANT)            ! Temperature of Cabin
      REAL*4  R_TDEWAR(3,MNANT)          ! Temperatures of Dewar
      REAL*4  R_TOTSCALE(MATMCAL,MNANT)! Digital to physical power scale
!
! Section -33 Atmospheric monitoring receiver
      INTEGER R_NREC_MON                 ! rec. number of monitoring receiver
      REAL*4  R_FRS_MON                  ! freq of monitoring receiver
      REAL*4  R_FRI_MON                  ! freq of monitoring receiver(Image)
      REAL*4  R_H2O_MON(MNANT)           ! mm of precipitable water
      REAL*4  R_TATMS_MON(MNANT)         ! Atmospheric temperature
      REAL*4  R_TATMI_MON(MNANT)         ! same for image side band
      REAL*4  R_TAUS_MON(MNANT)          ! Opacity at Zenith
      REAL*4  R_TAUI_MON(MNANT)          ! same for image side band
      REAL*4  R_FEFF_MON(MNANT)          ! forward efficiency
      REAL*4  R_TCHOP_MON(MNANT)         ! Temperature of Chopper
      REAL*4  R_TCOLD_MON(MNANT)         ! Temperature of Cold Load
      REAL*4  R_TREC_MON(MNANT)          ! Receiver DSB temperature
      REAL*4  R_GIM_MON(MNANT)           ! relative gain (image/signal)
      REAL*4  R_CSKY_MON(MNANT)          ! Counts on Sky
      REAL*4  R_CCHOP_MON(MNANT)         ! Counts on Chopper
      REAL*4  R_CCOLD_MON(MNANT)         ! Counts on Cold Load
      REAL*4  R_TSYS_MON(MNANT)          ! temp sys (double side band)
      INTEGER R_CMODE_MON(MNANT)         ! cal mode
      REAL*4  R_PATH_MON(MNANT)          ! mm of path due to H2O (nu_obs)
      REAL*4  R_TEM_MON(MNANT)           ! atmospheric brightness (nu_mon)
      REAL*4  R_DPATH_MON(MNANT)         ! mm of path per deg. of atm emiss (nu_
      REAL*4  R_MAGIC_MON(2)             ! Empirical scale factor on path.
      LOGICAL R_OK_MON(MNANT)            ! Validity of correction
!
! Section -28 Passband Calibration
      INTEGER R_BPC                      ! BPC has been stored (2=IF function)
      INTEGER R_BPCDEG                   ! Degree of interpolating polynomial
      REAL*4  R_BPCCAMP(MATMCAL,2,MNBAS,MCCH)
      REAL*4  R_BPCCPHA(MATMCAL,2,MNBAS,MCCH)
      REAL*4  R_BPCLAMP(MATMCAL,2,MNBAS,MRLBAND,0:MBPCDEG)   ! polynomial coefficients
      REAL*4  R_BPCLPHA(MATMCAL,2,MNBAS,MRLBAND,0:MBPCDEG)   ! polynomial coefficients
      COMPLEX R_BPCSBA(MATMCAL,2,MNBAS)          !
      INTEGER R_BPFDEG                   ! Degree of interpolating polynomial
      REAL*4  R_BPFLIM(MATMCAL,2)       ! IF frequency interval (min, max)
      REAL*4  R_BPFAMP(MATMCAL,2,MNBAS,0:MBPCDEG)! polynomial coefficients
      REAL*4  R_BPFPHA(MATMCAL,2,MNBAS,0:MBPCDEG)! polynomial coefficients
!
! Section -29 Instrumental Calibration
      INTEGER R_IC                       ! IC has been stored
      INTEGER R_ICDEG                    ! Degree of interpolating polynomial
      REAL*4 R_ICPHA(M_POL_REC,2,MNBAS,0:MICDEG)   ! polynomial coefficients
      REAL*4 R_ICAMP(M_POL_REC,2,MNBAS,0:MICDEG)   ! polynomial coefficients
      REAL*4 R_ICRMS(M_POL_REC,2,MNBAS,2)          ! amp-phase rms
!
! Section -30 Data Section Descriptor
      INTEGER R_NDUMP                    ! Number of records
      INTEGER R_LDPAR                    ! Length of data header (longwords)
      INTEGER R_LDATC                    ! length of continuum data (")
      INTEGER R_LDATL                    ! length of line data      (")
      INTEGER R_LDUMP                    ! length of record         (")
      INTEGER R_NDATL                    ! number of line datas (1,2)
!
! Section -31 Passband Calibration
      INTEGER R_ABPC                     ! ABPC has been stored (2=IF function)
      INTEGER R_ABPCDEG                  ! Degree of interpolating polynomial
      REAL*4  R_ABPCCAMP(MATMCAL,2,MNBAS,MCCH)
      REAL*4  R_ABPCCPHA(MATMCAL,2,MNBAS,MCCH)
      REAL*4  R_ABPCLAMP(MATMCAL,2,MNBAS,MRLBAND,0:MBPCDEG)  ! polynomial coefficients
      REAL*4  R_ABPCLPHA(MATMCAL,2,MNBAS,MRLBAND,0:MBPCDEG)  ! polynomial coefficients
      COMPLEX R_ABPCSBA(MATMCAL,2,MNBAS)         !
      INTEGER R_ABPFDEG                  ! Degree of interpolating polynomial
      REAL*4  R_ABPFLIM(MATMCAL,2)      ! IF frequency interval (min, max)
      REAL*4  R_ABPFAMP(MATMCAL,2,MNBAS,0:MBPCDEG)     ! polynomial coefficients
      REAL*4  R_ABPFPHA(MATMCAL,2,MNBAS,0:MBPCDEG)     ! polynomial coefficients
!
! Section -32 Antenna-based Instrumental Calibration
      INTEGER R_AIC                      ! IC has been stored
      INTEGER R_AICDEG                   ! Degree of interpolating polynomial
      REAL*4 R_AICPHA(M_POL_REC,2,MNANT,0:MICDEG)  ! polynomial coefficients
      REAL*4 R_AICAMP(M_POL_REC,2,MNANT,0:MICDEG)  ! polynomial coefficients
      REAL*4 R_AICRMS(M_POL_REC,2,MNBAS,2)         ! amp-phase rms
!
! Section -33 Data File (NEW SECTION)
      INTEGER R_DXNUM                    ! Data File index number of data
      CHARACTER*32 R_DFILE               ! Data file name without extension
!
! Section -34 Data Modifier (NEW SECTION)
      INTEGER R_DMAFLAG(MNANT)                   ! Antenna flags (user)
      INTEGER R_DMBFLAG(MNBAS)                   ! Baseline flags (user)
      REAL*4 R_DMATFAC(M_POL_REC,2,MNANT)        ! Applied atmosph. cal factor(U,L)
      REAL*4 R_DMDELAY(M_POL_REC,MNANT)          ! Delay
      REAL*4 R_DMCAMP(2,MNBAS,MCCH)              ! continuum amplitudes
      REAL*4 R_DMCPHA(2,MNBAS,MCCH)              ! continuum phases
      REAL*4 R_DMLAMP(2,MNBAS,MRLBAND)           ! line amplitudes
      REAL*4 R_DMLPHA(2,MNBAS,MRLBAND)           ! line phases
      REAL*4 R_DMLDPH(2,MNBAS,MRLBAND)           ! line phase slopes
      INTEGER R_DMSAFLAG(MNANT)                  ! Antenna spectral flags
      INTEGER R_DMSBFLAG(MNBAS)                  ! Baseline spectral flags 
!
! Section -35 Water Vapor Radiometer  (NEW SECTION)
! data input
      INTEGER R_WVRNCH(MNANT)            ! number of channels
! (=3; 0 if antenna not equipped)
      REAL R_WVRFREQ(MWVRCH,MNANT)       ! central frequencies (MHz)
      REAL R_WVRBW(MWVRCH,MNANT)         ! bandwidths (MHz)
      REAL R_WVRTAMB(MNANT)              ! Temp ambient load (K)
      REAL R_WVRTPEL(MNANT)              ! Temp Peltier cooler (K)
      REAL R_WVRTCAL(MWVRCH,MNANT)       ! K/count channel gains
      REAL R_WVRREF(MWVRCH,MNANT)        ! average counts on reference observation
      REAL R_WVRAVER(MWVRCH,MNANT)       ! average counts on current observation
      REAL R_WVRAMB(MWVRCH,MNANT)        ! average counts on last ambient meas.
      REAL R_WVRTREC(MWVRCH,MNANT)       ! receiver temperatures (K)
      REAL R_WVRFEFF(MWVRCH,MNANT)       ! coupling factor to sky
      REAL R_WVRLABTCAL(MWVRCH,MNANT)    ! LAB K/COUNT CHANNEL GAINS
      REAL R_WVRLABTREC(MWVRCH,MNANT)    ! LAB TREC
      REAL R_WVRLABTDIO(MWVRCH,MNANT)    ! LAB DIODE TEMPERATURE
!
! model output
      INTEGER R_WVRMODE(MNANT)           ! calibration mode
      REAL R_WVRH2O(MNANT)               ! prec. h2o (mm)
      REAL R_WVRPATH(MNANT)              ! H2O vap. pathlength (mum)
      REAL R_WVRTSYS(MWVRCH,MNANT)       ! system temperature (K)
      REAL R_WVRDPATH(MWVRCH,MNANT)      ! Kelvin to H2O vap. pathlength
! (model, mum/K)
      REAL R_WVRFPATH(MWVRCH,MNANT)      ! Kelvin to H2O vap. pathlength
! (empirical, mum/K)
      REAL R_WVRLIQ(MWVRCH,MNANT)        ! Kelvin to H2O liquid emission (K/K)
      REAL R_WVRDCLOUD(MWVRCH,MNANT)     ! Kelvin to H2O liq. pathlength (mum/K)
      REAL R_WVRTATM(MNANT)              ! temperature of atmosphere (K)
      INTEGER R_WVRQUAL(MNANT)           ! quality code (usable or not)
!
! Section -36 (ALMA- specific parameters)
!
      REAL R_TRANDIST                    ! transmitter distance (m)
      REAL R_TRANFOCU                    ! transmitter refocus  (mm)
      integer r_subscan                  ! subscan number    (not used at Bure)
      integer r_execBlockNum             ! exec block number (not used at Bure)
      character*256 R_ExecBlock          ! the ExecBlockId from the original data set.
      character*32 R_AntennaName(mnant)  ! the antenna names  (32 first chars).
      character*32 R_AntennaType(mnant)  ! the antenna types  (32 first chars).
      real*4 R_DishDiameter(mnant)       ! the dish diameter in meters.
!
      INTEGER R_LASTONE, R_ALIGN3, R_ALIGN4, R_ALIGN5, r_align6
!
      COMMON /R_COM/                                                     &
     &R_XNUM,R_TELES,R_NUM,R_VER,                                        &
     &R_DOBS,R_DRED,R_TYPEC,R_KIND,R_QUAL,                               &
     &R_SCAN,R_UT,R_ST,R_AZ,R_EL,                                        &
     &R_TAU,R_TSYS,R_TIME,R_TYPOF,R_PROC,                                &
     &R_PROJECT,R_CDOBS,R_CDRED,R_CPROC,                                 &
     &R_CTOBS,R_CQUAL,R_ALIGN5,R_SOURC,R_EPOCH,R_LAM,R_BET,              &
     &R_LAMOF,R_BETOF,R_PROJ,R_FOCUS,                                    &
     &R_FLUX,                                                            &
     &SPACE1,                                                            &
     &R_NANT,R_NBAS,R_ITYPE,                                             &
     &R_HOURA,R_KANT,R_KENT,R_ISTAT,R_IANT,                              &
     &R_JANT,R_BAS,R_ANT,R_NTRI,R_ATRI,R_AXES,R_PHLO1,R_PHLO3,R_ATTN,    &
     &R_NBAND_WIDEX,R_CONFIG,                                            &
     &R_LINE,R_ISB,R_LOCK,R_RESTF,R_FLO1,                                &
     &R_FLO1_REF,R_FIF1,R_VELOC,R_TYPEV,                                 &
     &R_DOPPL,R_NPOL_REC,R_QUARTER,R_QWPLATE,ALIGF,                      &
     &R_NSB,R_NBAND,R_NCDAT,R_CRCH,                                      &
     &R_CVOFF,R_CVRES,R_CRFOFF,R_CRFRES,                                 &
     &R_CNAM,R_CFCEN,R_CFWID,R_SBAND,                                    &
     &R_ALIGN3,                                                          &
     &R_LBAND,R_LNTCH,R_LFOUR,R_LNCH,                                    &
     &R_LICH,R_LFCEN,R_LFRES,R_LRCH,                                     &
     &R_LVOFF,R_LVRES,R_LRFOFF,R_LRFRES,                                 &
     &R_LNAM,R_LILEVU,R_LNSB,R_LSBAND,                                   &
     &R_LCENCH,R_LDELOFF,R_LMODE,R_LILEVL,R_IUNIT,R_BAND4,               &
     &     r_phselect,                                                   &
     &R_FLO2,R_FLO2BIS,R_BAND2BIS,R_FLO3,R_FLO4,R_LPOLMODE,R_LPOLENTRY,  &
     &R_IFATTN,                                                          &
     &R_SCATY,R_MOBIL,R_COLLAZ,R_COLLEL,                                 &
     &R_CORFOC,                                                          &
     &r_pmodel, r_npmodel, r_cpmodel,                                    &
     &r_nswitch, r_wswitch, r_pswitch,                                   &
     &R_ALIGN6,                                                          &
     &R_MODE,R_NREC,R_PAMB,R_TAMB,R_ALTI,                                &
     &R_HUMID,R_H2OMM,R_TATMS,R_TATMI,                                   &
     &R_TAUS,R_TAUI,R_BEEF,R_FEFF,R_TCHOP,                               &
     &R_TCOLD,R_TREC,R_GIM,R_CSKY,R_CCHOP,                               &
     &R_CCOLD,R_TSYSS,R_TSYSI,R_CEFF,                                    &
     &R_CMODE,R_JYKEL,                                                   &
     &R_AVWIND,R_AVWINDIR,R_TOPWIND,R_TOPWINDIR,                         &
     &R_TCABIN,R_TDEWAR,r_totscale,                                      &
     &R_NREC_MON,R_FRS_MON,R_FRI_MON,R_H2O_MON,R_TATMS_MON,              &
     &R_TATMI_MON,R_TAUS_MON,R_TAUI_MON,R_FEFF_MON,                      &
     &R_TCHOP_MON,R_TCOLD_MON,R_TREC_MON,R_GIM_MON,                      &
     &R_CSKY_MON,R_CCHOP_MON,R_CCOLD_MON,R_TSYS_MON,                     &
     &R_CMODE_MON,R_PATH_MON,R_TEM_MON,R_DPATH_MON,R_MAGIC_MON,          &
     &R_OK_MON,                                                          &
     &R_BPC,R_BPCDEG,R_BPCCAMP,R_BPCCPHA,R_BPCLAMP,                      &
     &R_BPCLPHA,R_BPCSBA,R_BPFDEG,R_BPFLIM,R_BPFAMP,                     &
     &R_BPFPHA,                                                          &
     &R_IC,R_ICDEG,R_ICPHA,                                              &
     &R_ICAMP,R_ICRMS,                                                   &
     &R_AIC, R_AICDEG, R_AICPHA, R_AICAMP,R_AICRMS,                      &
     &R_ALIGN4,                                                          &
     &R_ABPC,R_ABPCDEG,R_ABPCCAMP,R_ABPCCPHA,R_ABPCLAMP,                 &
     &R_ABPCLPHA,R_ABPCSBA,R_ABPFDEG,R_ABPFLIM,R_ABPFAMP,                &
     &R_ABPFPHA,                                                         &
     &R_NDUMP,R_LDPAR,R_LDATC,R_LDATL,R_LDUMP,R_NDATL,                   &
     &R_DXNUM, R_DFILE,                                                  &
     &R_DMAFLAG, R_DMBFLAG, R_DMATFAC, R_DMDELAY,                        &
     &R_DMCAMP,R_DMCPHA,R_DMLAMP,R_DMLPHA,R_DMLDPH,R_DMSAFLAG,R_DMSBFLAG,&
     &R_WVRNCH, R_WVRFREQ, R_WVRBW, R_WVRTAMB, R_WVRTPEL,R_WVRTCAL,      &
     &R_WVRREF, R_WVRAVER, R_WVRAMB, R_WVRTREC, R_WVRFEFF,               &
     &R_WVRLABTCAL, R_WVRLABTREC, R_WVRLABTDIO,                          &
     &R_WVRMODE, R_WVRH2O, R_WVRPATH, R_WVRTSYS, R_WVRDPATH, R_WVRFPATH, &
     &R_WVRLIQ, R_WVRDCLOUD, R_WVRTATM, R_WVRQUAL,                       &
     &     R_TRANDIST, R_TRANFOCU, r_subscan, r_execblocknum,            &
     &     R_ExecBlock, R_AntennaName,                                   &
     &     R_AntennaType, R_DishDiameter,                                &
     &     R_PRESEC, R_LASTONE
! r_lastone must stay the last one
      SAVE /R_COM/
!-------------------------------------------------------------------------
