!   -*-fortran-*-
!------------------------------------------------------------------------
! CLIC	parameter.inc
! 	include file for parameters
!-----------------------------------------------------------------------
!
! Header indentification parameters
! CLASS sections
      INTEGER GEN_SEC,POS_SEC,SPEC_SEC,BASE_SEC,ORIG_SEC                 &
     &,PLOT_SEC,FSW_SEC,GAUS_SEC,CONT_SEC,SHELL_SEC,NH3_SEC              &
     &,CAL_SEC,BEAM_SEC,COM_SEC,POINT_SEC,SKYDIP_SEC                     &
     &,INTERC_SEC, RFSET_SEC, CONTSET_SEC, LINESET_SEC                   &
     &,ATPARM_SEC,ATMON_SEC                                              &
     &,BPCAL_SEC, ICAL_SEC                                               &
     &,ABPCAL_SEC, AICAL_SEC                                             &
     &,DESCR_SEC, SCANNING_SEC, POINTC_SEC                               &
     &,LINECAT_SEC, MODIFY_SEC, FILE_SEC, WVR_SEC, alma_SEC
      PARAMETER (COM_SEC=-1)             ! Comment
      PARAMETER (GEN_SEC=-2)             ! General
      PARAMETER (POS_SEC=-3)             ! Position
      PARAMETER (SPEC_SEC=-4)            ! Spectroscopy
      PARAMETER (BASE_SEC=-5)            ! Baseline
      PARAMETER (ORIG_SEC=-6)            ! Origin
      PARAMETER (PLOT_SEC=-7)            ! Plot parameters
      PARAMETER (FSW_SEC=-8)             ! Frequency switch
      PARAMETER (GAUS_SEC=-9)            ! Gauss fit
      PARAMETER (CONT_SEC=-10)           ! Drift Continuum section
      PARAMETER (BEAM_SEC=-11)           ! Beam Switch
      PARAMETER (SHELL_SEC=-12)          ! Shell fit
      PARAMETER (NH3_SEC=-13)            ! NH3 fit
      PARAMETER (CAL_SEC=-14)            ! Calibration
      PARAMETER (POINT_SEC=-15)          ! Continuum fit results
      PARAMETER (SKYDIP_SEC=-16)         ! Skydip description
! Special CLIC sections
      PARAMETER (POINTC_SEC=-20,                                         &
     &INTERC_SEC = -21,                                                  &
     &RFSET_SEC=-22,                                                     &
     &CONTSET_SEC=-23,                                                   &
     &LINESET_SEC=-24,                                                   &
     &SCANNING_SEC=-25,                                                  &
     &ATPARM_SEC = -26,                                                  &
     &ABPCAL_SEC = -27,                                                  &
     &BPCAL_SEC = -28,                                                   &
     &ICAL_SEC = -29,                                                    &
     &AICAL_SEC = -31,                                                   &
     &ATMON_SEC = -32,                                                   &
     &DESCR_SEC = -30,                                                   &
     &MODIFY_SEC = -33,                                                  &
     &FILE_SEC = -34,                                                    &
     &WVR_SEC=-35,                                                       &
     &alma_SEC=-36)
      PARAMETER (LINECAT_SEC=0)          ! Undefined
!
! Section names
      INTEGER MNSEC
      PARAMETER (MNSEC=36)
      CHARACTER*12 SECTION(MNSEC)
      COMMON /COM_SECTION/ SECTION
      SAVE /COM_SECTION/
!
! Blanking values
      REAL*8 BLANK8,D_BLANK8
      PARAMETER (BLANK8=1.23456D34,D_BLANK8=1.23456D30)
      REAL*4 BLANK4,D_BLANK4
      PARAMETER (BLANK4=1.23456E34,D_BLANK4=1.23456E30)
      COMPLEX BLANKC
      PARAMETER (BLANKC=(1.23456E34,1.23456E34))
!
!
! Header size parameters
      INTEGER MGEN, MGEN2, MPOS, MSPEC
      PARAMETER (MGEN=11,MGEN2=12,MPOS=13, MSPEC=17)
      INTEGER MNREC, MNANT, MNBAS, MNTRI, MNQUAD, MNBAT,                 &
     &MINTERC, MINTERC_0, MINTERC_1, MINTERC_2, MINTERC_3
      INTEGER MNBCINPUT, M_POL_REC, M_POL_DAT, MBAND_WIDEX, MATMCAL



      PARAMETER (mnant=6)

      PARAMETER (MNREC=4, M_POL_REC=2, MNBCINPUT=2,                      &
     &m_pol_dat=m_pol_rec**2,                                            &
     &MBAND_WIDEX = 4, MATMCAL = MNBCINPUT+MBAND_WIDEX,                  &
     &MNBAS = MNANT*(MNANT-1)/2,                                         &
     &MNTRI = MNANT*(MNANT-1)*(MNANT-2)/6,                               &
     &MNQUAD = MNANT*(MNANT-1)*(MNANT-2)*(MNANT-3)/24,                   &
! save some memory ...     $MNBAT=MNBAS+MNTRI,
     &MNBAT=MNBAS,                                                       &
     &MINTERC_0 = 5+1+1, MINTERC_1 = 3+6+1+2, MINTERC_2 = 8,             &
     &MINTERC_3 = 3,                                                     &
     &MINTERC = MINTERC_0 + MINTERC_1*MNANT + MINTERC_2*MNBAS            &
     &+ MINTERC_3*MNTRI)                 ! ##
      INTEGER MRFSET,MRFSET0,MRFSET1
      PARAMETER (MRFSET0 = 16 +3, MRFSET1 = 1,                           &
     &MRFSET = MRFSET0 + MRFSET1*MNANT)
      INTEGER MCONTSET
      PARAMETER (MCONTSET = 59)          ! 59 = 3+2*9+2*12+12+2
      integer mbands
      parameter (mbands = 16)
      INTEGER MRLBAND,MLINESET, MLINESET_0, MLINESET_1
! new correlator on 2000-sep-20
      PARAMETER (MRLBAND = 12,                                            &
!     the following should be 7; however an extra word has been
!     mistakenly intruduced in crall; so we increase the length by one word
!     to avoid problems in reading about one year of data.
     &MLINESET_0 = 8,                                                    &
! add r_phselect on 2004-06-18  : 
!   - one more word per correlator unit and antenna.
! add r_flo2, r_flo2bis, r_band2bis, r_polmode and r_polentry 
!   - (4+MNANT) more words per correlator unit
! add r_flo2, flobis, lo3, lo4, rpolmode, rpolentry, ifattn
     &MLINESET_1 = 36 + 7*MNANT,                                         &
!!     &MLINESET_1 = 26+4*MNANT,
!!     &MLINESET_1 = 26+3*MNANT,
! new correlator on 2000-sep-20 : one more word per correlator unit.
!!     $MLINESET_1 = 25+3*MNANT,
     &MLINESET = MLINESET_0+MLINESET_1*MRLBAND)! 312 = 8+8*(26+3*4)
!!     $MLINESET = MLINESET_0+MLINESET_1*MRLBAND)! 230 = 8+6*(25+3*4)
! max number of pointing model parameters
      integer mpmodel, pmodel_none, pmodel_bure, pmodel_alma, mswitch
      parameter (mpmodel=14,                                             &
     &     pmodel_none=0,                                                &
     &     pmodel_bure=1,                                                &
     &     pmodel_alma=2,                                                &
     &     mswitch=4)
      INTEGER MSCANNING
! added pointing model parameters
      PARAMETER (MSCANNING = 1+4*MNANT + 1+mswitch*3+ 2+mnant*mpmodel)
!
      INTEGER MATPARM, MATPARM_0, MATPARM_1
! Added temperatures.
! Dimension MPOL_REC added
! 01/12/06 added total power scale
      PARAMETER (MATPARM_0 = 10,                                          &
     &MATPARM_1 = 20*MATMCAL+4,                                           &
!!      PARAMETER (MATPARM_0 = 10, MATPARM_1 = 23,
!!      PARAMETER (MATPARM_0 = 10, MATPARM_1 = 19,
     &MATPARM = MATPARM_0+MATPARM_1*MNANT)
      INTEGER MATMON
      PARAMETER (MATMON=3+19*MNANT+2)
      INTEGER MWVR, MWVRCH
!*RL*!      PARAMETER (MWVRCH=3, MWVR=MNANT*(8+MWVRCH*12))
!*RM*!      PARAMETER (MWVRCH=3, MWVR=MNANT*(8+MWVRCH*15)) !*RL*!
      INTEGER Malma
      PARAMETER (Malma=4+64+mnant*(2*8+1))
      PARAMETER (MWVRCH=3, MWVR=MNANT*(8+MWVRCH*16)) !*RM*!
      INTEGER MCH, MCCH, MLCH, MDATAC, MDATAL
      PARAMETER (MCCH=12)                ! 12 continuum subbands /baseline
!
! new correlator on 2000-sep-20 : 512 complex line channels /unit/baseline



      PARAMETER (MCH=1024)

      PARAMETER (MLCH=MCH*MRLBAND)
!!      PARAMETER (MLCH=256*6)       ! 256 complex line channels /baseline
      PARAMETER (MDATAC=MCCH*2*MNBAT, MDATAL=2*MLCH*MNBAT)
! 2 sidebands, mnbat baselines
      INTEGER MBPC,MBPCDEG, MABPC
      PARAMETER (MBPCDEG=50)
!      PARAMETER (MBPC = 2+4*MNBAS*MCCH+4*(MBPCDEG+1)*MNBAS*MRLBAND
!     &+2*2*MNBAS+3+4*(MBPCDEG+1)*MNBAS)
!      PARAMETER (MABPC = 2+4*MNANT*MCCH+4*(MBPCDEG+1)*MNANT*MRLBAND
!     &+2*2*MNANT+3+4*(MBPCDEG+1)*MNANT)
      PARAMETER (MBPC = 2+4*MATMCAL*MNBAS*MCCH                         &
     &+4*(MBPCDEG+1)*MNBAS*MRLBAND*MATMCAL                             & 
     &+2*2*MNBAS+3+4*(MBPCDEG+1)*MNBAS*MATMCAL)
      PARAMETER (MABPC = 2+4*MATMCAL*MNANT*MCCH                        &
     &+4*(MBPCDEG+1)*MNANT*MRLBAND*MATMCAL                             &
     &+2*2*MNANT+3+4*(MBPCDEG+1)*MNANT*MATMCAL)
!
      INTEGER MIC, MICDEG
      PARAMETER (MICDEG=3, MIC = 2+8*(MICDEG+2)*MNBAS)
      INTEGER MAIC
      PARAMETER (MAIC = 2+8*(MICDEG+1)*MNANT+4*MNBAS)
      INTEGER MDESCR
      PARAMETER (MDESCR=6)
      INTEGER MDFILE
      PARAMETER (MDFILE=32)
      INTEGER MDMODIF
      PARAMETER (MDMODIF=(2+3*M_POL_REC)*MNANT+                        &
     &MNBAS*(2+4*MCCH+6*MRLBAND))
!
! Header
      INTEGER M_HEADER
!      PARAMETER (M_HEADER = 2 + MNSEC + MGEN + MGEN2 + 12 +
!     $MPOS + MINTERC + MRFSET + MCONTSET + MSCANNING + MSPEC +
!     $MLINESET + MATPARM + matmon + MBPC +MIC + MDESCR)
!
! Data header
      INTEGER M_DH
!      PARAMETER (M_DH = 142)
!
! Data size parameters
      INTEGER MALL
      PARAMETER (MALL = MGEN+MGEN2 + MPOS + MINTERC + MRFSET +           &
     &MSCANNING + MCONTSET + MLINESET + MATPARM + MATMON +               &
     &MBPC + MIC + MABPC + MAIC + MDESCR + MWVR + Malma)
!
! Maximum Section size
      INTEGER MMSEC
      PARAMETER (MMSEC =                                                 &
     &     MAX(MGEN,MPOS,MINTERC,MRFSET,MCONTSET,MLINESET,               &
     &     MSCANNING,MATPARM,MATMON,MBPC,MABPC,MIC,MAIC,                 &
     &     MDESCR,MDMODIF,MDFILE,MWVR,Malma) )
! Work Space Size
      INTEGER MDATA
      PARAMETER (MDATA = MAX(4*MNBAS*MCCH, MMSEC))
!
      COMMON /PARAMS/ M_HEADER, M_DH
      SAVE /PARAMS/
!
! standard Plateau de Bure configurations
!
      INTEGER      MCONF
      PARAMETER    (MCONF=33)
      CHARACTER*18 CONFIG(MCONF)
      CHARACTER*4  CONFIG_NAME(MCONF)
! If MCONF is Odd, use the next line
!      CHARACTER*2  CONFIG_PATCH          ! To keep 32-bit alignment of Commons
! If MCONF is Even, use this one...
      CHARACTER*4  CONFIG_PATCH          ! To keep 32-bit alignment of Commons
      COMMON       /CONFIGS/ CONFIG, CONFIG_NAME, CONFIG_PATCH
      SAVE         /CONFIGS/
!
! Other (Index)
      INTEGER M_IX,M_OX,M_CX,M_DX,M_SCAN
      PARAMETER (M_IX = 10000)           ! nbre max de manips ds le fichier d'en
      PARAMETER (M_DX = 10000)           ! nbre max de manips ds le fichier donn
      PARAMETER (M_OX = 10000)           ! nbre max de manips ds le fichier de s
      PARAMETER (M_CX = 10000)           ! nbre max de manips ds l'index courant
      PARAMETER (M_SCAN = 100)           ! nbre max de scan ranges
